<#assign aui = PortletJspTagLibs["/META-INF/aui.tld"] />
<#assign portlet = PortletJspTagLibs["/META-INF/liferay-portlet.tld"] />

<#setting number_format="computer">

<@aui["input"]
	cssClass="slider-input"
	inlineField=true
	name="minPresses"
	size="2"
	maxlength="3"
	value=minPresses
/>

<span class="slider-holder older"></span>

<@aui["input"]
	cssClass="slider-input"
	inlineField=true
	name="maxPresses"
	size="2"
	maxlength="3"
	value=maxPresses
/>

<span class="slider-holder older"></span>


<@aui["script"] use="liferay-input-slider">
	new Liferay.InputSlider(
		{
			inputNode: '#<@portlet["namespace"] />minPresses'
		}
	);

	new Liferay.InputSlider(
		{
			inputNode: '#<@portlet["namespace"] />maxPresses'
		}
	);
</@>

<style scoped>
	.aui input.slider-input {
		width: auto;
	}

	.slider-holder  {
		display: inline-block;
		margin: 0 2em 0 .5em;
	}
</style>